Edit pipeline
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
Update pipeline configuration
Examples
Example: Update pipeline configuration
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Pipeline Name",
"priority": "NORMAL",
"disabled": false,
"always_from_scratch": true,
"skip_queued_runs": "SAME_REF",
"fetch_all_refs": true,
"fetch_lfs": false,
"clone_depth": 5
}'Example: Update pipeline name only
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "New Pipeline Name"
}'EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/123",
"html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/123",
"id": 123,
"identifier": "deploy-production",
"name": "Deploy to production",
"definition_source": "LOCAL",
"git_config_ref": "NONE",
"refs": [
"refs/heads/main"
],
"events": [
{
"type": "PUSH"
}
],
"priority": "NORMAL",
"disabled": false,
"last_execution_status": "SUCCESSFUL",
"create_date": "2023-01-15T10:30:00Z",
"always_from_scratch": false,
"ignore_fail_on_project_status": false,
"strict_context": false,
"skip_queued_runs": "SAME_REF",
"cancel_inprogress_runs": "NEVER",
"auto_clear_cache": false,
"fetch_all_refs": false,
"fetch_lfs": false,
"fail_on_prepare_env_warning": true,
"concurrent_pipeline_runs": false,
"do_not_create_commit_status": false,
"stale": false,
"waiting_for_push": false,
"resources": "DEFAULT",
"git_changeset_base": "LATEST_RUN",
"filesystem_changeset_base": "DATE_MODIFIED",
"cpu": "X64",
"description_required": false,
"project": {
"url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project",
"html_url": "https://app.buddy.works/my-workspace/projects/my-project",
"name": "my-project",
"display_name": "My Project",
"status": "ACTIVE"
},
"creator": {
"url": "https://api.buddy.works/workspaces/my-workspace/members/123",
"html_url": "https://app.buddy.works/my-workspace/-/profile/123",
"id": 123,
"name": "John Doe",
"avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/123/a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6/w/32/32/AVATAR.png?ts=1674644200000",
"email": "john.doe@company.com",
"admin": true,
"workspace_owner": false
},
"cache_scope": "PIPELINE",
"variables": [],
"environments": [],
"permissions": {
"others": "DEFAULT"
},
"manage_variables_by_yaml": false,
"manage_permissions_by_yaml": false,
"actions": [
{
"url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/123/actions/456",
"html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/123/action/456/edit",
"id": 456,
"name": "Build application",
"type": "BUILD",
"trigger_time": "ON_EVERY_EXECUTION",
"last_execution_status": "SUCCESSFUL",
"current_revision": "abc123def456",
"disabled": false,
"ignore_errors": false,
"run_next": "WAIT_ON_SUCCESS"
}
]
}STATUS
200 OK